== Why is this an issue?

This rule allows you to make sure that each HTML page contains an element with your configured ID, regardless of element type. This rule is useful, for instance, if your design requires a placeholder to be present in each page, for example to dynamically insert a footer.


=== Compliant solution

With a required id of "#footer":

[source,html]
----
<div id="#footer">
...
</div>
----


ifdef::env-github,rspecator-view[]

'''
== Implementation Specification
(visible only on this page)

=== Message

The ID "xxx" is missing from this page and should be added.


=== Parameters

.id
****

----
empty
----

Value of the "id" attribute expected to be present on every page
****


'''
== Comments And Links
(visible only on this page)

=== on 23 Oct 2013, 10:42:58 Freddy Mallet wrote:
Is implemented by \http://jira.codehaus.org/browse/SONARPLUGINS-3199

endif::env-github,rspecator-view[]
